package ub.scp2.managedBeans;

import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

import ub.scp2.bo.UserBo;
import ub.scp2.entities.Role;


@ManagedBean(name="userBean")
@RequestScoped
public class UserBean implements Serializable {
	
	private UserBo userbo;
	
	//User attributes
	private String userId;
	private Role role;
	private String firstName;
	private String lastName;
	private String password;
	
	public UserBean(){
		
	}

	public UserBo getUserbo() {
		return userbo;
	}

	public void setUserbo(UserBo userbo) {
		this.userbo = userbo;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	
	

}
